Subject: [bug#49946] [PATCH 08/31] gnu: node: Patch /usr/bin/env in node-gyp.

From: Pierre Langlois <[email-masked]>
Date: Wed, 11 Aug 2021 16:36:11 +0100

Hi Maxime,

Maxime Devos <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> Pierre Langlois schreef op ma 09-08-2021 om 00:33 [+0100]:
>> @@ -120,6 +120,10 @@
>>                 (("'/usr/bin/env'")
>>                  (string-append "'" (which "env") "'")))
>> 
>> +             ;; Fix /usr/bin/env shebang in node-gyp.
>> +             (substitute* "deps/npm/node_modules/node-gyp/bin/node-gyp.js"
>> +               (("#!/usr/bin/env") (string-append "#!" (which "env"))))
>
> For cross-compilation, this should most likely be
> (string-append (assoc-ref inputs "coreutils") "/bin/env")
> or something like that instead.  Likewise in other places.
> The old code uses (which "env") in some cases, but those
> are probably wrong (except where it is patched in tests).

Good point, I didn't consider cross-compilation.  Actually, trying it,
it looks like our node package doesn't currently cross-compile
correctly.  I just managed to get it to cross-compile though, I'll
submit another patch for it!  In the meantime, with this series I agree
it's better for the new code to be correct from the begining though.

Thanks for taking a look!
Pierre